xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Jeremy Apthorp
License | BSD-style (see LICENSE)
Maintainer | Jeremy Apthorp <nornagon@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Dishes

Contents

- Usage

Description

Dishes is a layout that stacks extra windows underneath the master windows.

Synopsis

- data Dishes a = Dishes Int Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Dishes

Then edit your `layoutHook` by adding the Dishes layout:

    myLayout = Dishes 2 (1/6) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Dishes a #

Constructors

Dishes Int Rational |

Instances

LayoutClass Dishes a # |
Methods runLayout :: Workspace WorkspaceId (Dishes a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) # doLayout :: Dishes a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Dishes a)) # pureLayout :: Dishes a -> Rectangle -> Stack a -> [(a, Rectangle)] # emptyLayout :: Dishes a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) # handleMessage :: Dishes a -> SomeMessage -> X (Maybe (Dishes a)) # pureMessage :: Dishes a -> SomeMessage -> Maybe (Dishes a) # description :: Dishes a -> String #
Read (Dishes a) # |
Methods readsPrec :: Int -> ReadS (Dishes a) # readList :: ReadS [Dishes a] # readPrec :: ReadPrec (Dishes a) # readListPrec :: ReadPrec [Dishes a] #
Show (Dishes a) # |
Methods showsPrec :: Int -> Dishes a -> ShowS # show :: Dishes a -> String # showList :: [Dishes a] -> ShowS #